Page MenuHomePhabricator

Add search box for choosing categories to include in the Campaign settings
Closed, ResolvedPublic

Description

Related task: T222262: Add depth option for each category selected in Campaign settings

This replaces the simple comma separated list used in the initial test version.

The search will use the Wikimedia API to get the list of categories matching the search term input by the user.

API call example search for "wiki loves" in the category namespace:
https://commons.wikimedia.org/w/api.php?action=opensearch&search=wiki%20loves&namespace=14&format=jsonfm

actionopensearch
searchuser's search term
namespace14
formatjson

Event Timeline

NavinoEvans mentioned this in ISA.
NavinoEvans renamed this task from Add search box for choosing categories on the Create/Update Campaign page to Add search box for choosing categories to include in the Campaign settings.May 1 2019, 6:12 PM
NavinoEvans moved this task from Backlog to Pending on the ISA board.May 13 2019, 9:52 PM
NavinoEvans updated the task description. (Show Details)May 15 2019, 6:14 PM
NavinoEvans updated the task description. (Show Details)May 15 2019, 6:16 PM

Change 510627 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[labs/tools/Isa@master] Add search box for choosing categories to include in the Campaign settings

https://gerrit.wikimedia.org/r/510627

Eugene233 moved this task from Pending to In progress on the ISA board.

Change 510627 merged by jenkins-bot:
[labs/tools/Isa@master] Add search box for choosing categories to include in the Campaign settings

https://gerrit.wikimedia.org/r/510627

Eugene233 closed this task as Resolved.May 16 2019, 9:55 PM

Marking as resolved.